Skip to navigation

Delete Shopping List

Delete a shopping list. Note this will not delete a shopping list item.

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

shoppingListIdintegerRequired
The unique ID for a shopping list.

Query parameters

userIdintegerOptional
B2B Edition buyer user ID, you can enter a user ID for check if this user can delete this shopping list.

Response

OK
codeintegerOptional
Response code of success request.
metaobjectOptional
dataobjectOptional

Errors

404
Not Found Error